Class RawUpdateRecordsRequest.Options
RawUpdateRecordsRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringWhen set toTRUE, all predicates are available for primary key updates.static final StringIf set toTRUE, qualifying records are modified in place.static final Stringstatic final StringAn optional global expression to reduce the search space of the predicates listed inexpressions.static final StringSpecifies the record collision error-suppression policy for updating a table with a primary key, only used when primary key record collisions are rejected (UPDATE_ON_EXISTING_PKisFALSE).static final StringID of a single record to be updated (returned in the call toGPUdb.insertRecordsRaworGPUdb.getRecordsFromCollectionRaw).static final Stringstatic final StringIf set toTRUE, any strings which are too long for their charN string fields will be truncated to fit.static final StringSpecifies the record collision policy for updating a table with a primary key.static final StringForce qualifying records to be deleted and reinserted so their partition membership will be reevaluated.static final StringWhen set toTRUE, all new values innewValuesMapsare considered as expression values.
Field Details
GLOBAL_EXPRESSION
An optional global expression to reduce the search space of the predicates listed inexpressions. The default value is ”.See Also:BYPASS_SAFETY_CHECKS
When set toTRUE, all predicates are available for primary key updates. Keep in mind that it is possible to destroy data in this case, since a single predicate may match multiple objects (potentially all of records of a table), and then updating all of those records to have the same primary key will, due to the primary key uniqueness constraints, effectively delete all but one of those updated records. Supported values:The default value isFALSE.See Also:UPDATE_ON_EXISTING_PK
Specifies the record collision policy for updating a table with a primary key. There are two ways that a record collision can occur.The first is an “update collision”, which happens when the update changes the value of the updated record’s primary key, and that new primary key already exists as the primary key of another record in the table.
The second is an “insert collision”, which occurs when a given filter in
expressionsfinds no records to update, and the alternate insert record given inrecordsToInsert(orrecordsToInsertStr) contains a primary key matching that of an existing record in the table.If
UPDATE_ON_EXISTING_PKis set toTRUE, “update collisions” will result in the existing record collided into being removed and the record updated with values specified innewValuesMapstaking its place; “insert collisions” will result in the collided-into record being updated with the values inrecordsToInsert/recordsToInsertStr(if given).If set to
FALSE, the existing collided-into record will remain unchanged, while the update will be rejected and the error handled as determined byIGNORE_EXISTING_PK. If the specified table does not have a primary key, then this option has no effect. Supported values:TRUE: Overwrite the collided-into record when updating a record’s primary key or inserting an alternate record causes a primary key collision between the record being updated/inserted and another existing record in the tableFALSE: Reject updates which cause primary key collisions between the record being updated/inserted and an existing record in the table
FALSE.See Also:IGNORE_EXISTING_PK
Specifies the record collision error-suppression policy for updating a table with a primary key, only used when primary key record collisions are rejected (UPDATE_ON_EXISTING_PKisFALSE). If set toTRUE, any record update that is rejected for resulting in a primary key collision with an existing table record will be ignored with no error generated. IfFALSE, the rejection of any update for resulting in a primary key collision will cause an error to be reported. If the specified table does not have a primary key or ifUPDATE_ON_EXISTING_PKisTRUE, then this option has no effect. Supported values:TRUE: Ignore updates that result in primary key collisions with existing records.FALSE: Treat as errors any updates that result in primary key collisions with existing records.
FALSE.See Also:ENABLE_INPLACE_UPDATES
If set toTRUE, qualifying records are modified in place. If set toFALSE, they are updated by deleting the existing record and inserting a replacement (delete and insert), which prevents the change from being reflected in dependent materialized views until they are refreshed. Supported values:The default value isTRUE.See Also:USE_EXPRESSIONS_IN_NEW_VALUES_MAPS
When set toTRUE, all new values innewValuesMapsare considered as expression values. When set toFALSE, all new values innewValuesMapsare considered as constants. NOTE: WhenTRUE, string constants will need to be quoted to avoid being evaluated as expressions. Supported values:The default value isFALSE.See Also:RECORD_ID
ID of a single record to be updated (returned in the call toGPUdb.insertRecordsRaworGPUdb.getRecordsFromCollectionRaw).See Also: